## org.apache.batik.css.engine.value
Class AbstractValueFactory

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory

Direct Known Subclasses:
  AbstractValueManager, MarkerShorthandManager

public abstract class AbstractValueFactory
extends java.lang.Object

This class provides a base implementation for the value factories.

Constructor Summary
`AbstractValueFactory()`

Method Summary
`protected org.w3c.dom.DOMException` `createDOMException()`
`protected org.w3c.dom.DOMException` `createInvalidFloatTypeDOMException(short t)` Creates a DOM exception, given an invalid float type.
`protected org.w3c.dom.DOMException` `createInvalidFloatValueDOMException(float f)` Creates a DOM exception, given an invalid float value.
`protected org.w3c.dom.DOMException` `createInvalidIdentifierDOMException(java.lang.String ident)` Creates a DOM exception, given an invalid identifier.
`protected org.w3c.dom.DOMException` `createInvalidLexicalUnitDOMException(short type)` Creates a DOM exception, given an invalid lexical unit type.
`protected org.w3c.dom.DOMException` `createInvalidStringTypeDOMException(short t)` Creates a DOM exception, given an invalid string type.
`protected org.w3c.dom.DOMException` `createMalformedLexicalUnitDOMException()`
`abstract java.lang.String` `getPropertyName()` Returns the name of the property handled.
`protected static java.lang.String` `resolveURI(java.net.URL base, java.lang.String value)` Resolves an URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractValueFactory

    public AbstractValueFactory()

Method Detail

### getPropertyName

    public abstract java.lang.String getPropertyName()

  Returns the name of the property handled.

### resolveURI

    protected static java.lang.String resolveURI(java.net.URL base,
                                                 java.lang.String value)

  Resolves an URI.

### createInvalidIdentifierDOMException

    protected org.w3c.dom.DOMException createInvalidIdentifierDOMException(java.lang.String ident)

  Creates a DOM exception, given an invalid identifier.

### createInvalidLexicalUnitDOMException

    protected org.w3c.dom.DOMException createInvalidLexicalUnitDOMException(short type)

  Creates a DOM exception, given an invalid lexical unit type.

### createInvalidFloatTypeDOMException

    protected org.w3c.dom.DOMException createInvalidFloatTypeDOMException(short t)

  Creates a DOM exception, given an invalid float type.

### createInvalidFloatValueDOMException

    protected org.w3c.dom.DOMException createInvalidFloatValueDOMException(float f)

  Creates a DOM exception, given an invalid float value.

### createInvalidStringTypeDOMException

    protected org.w3c.dom.DOMException createInvalidStringTypeDOMException(short t)

  Creates a DOM exception, given an invalid string type.

### createMalformedLexicalUnitDOMException

    protected org.w3c.dom.DOMException createMalformedLexicalUnitDOMException()

### createDOMException

    protected org.w3c.dom.DOMException createDOMException()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.